%define module Clone
%define name perl-%{module}
%define version 0.27
%define release %mkrel 1

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Recursively copy Perl datatypes
License: 	GPL or Artistic
Group: 		Development/Perl
Source: 	http://search.cpan.org/CPAN/authors/id/R/RD/RDF/%{module}-%{version}.tar.gz
Url: 		http://search.cpan.org/dist/%{module}
BuildRequires:	perl-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
This module provides a clone() method which makes recursive
copies of nested hash, array, scalar and reference types, 
including tied variables and objects.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorarch}/Clone.pm
%{perl_vendorarch}/auto/Clone
%{_mandir}/*/*



%changelog
* Fri Jul 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.27-1mdv2008.0
+ Revision: 56126
- new version

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 0.23-1mdv2008.0
+ Revision: 19810
- 0.23


* Fri Mar 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.20-1mdk
- 0.20

* Wed Mar 08 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.19-1mdk
- 0.19

* Tue May 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.18-1mdk
- 0.18

* Tue Nov 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.15-2mdk
- rebuild for new perl

* Sun Feb 29 2004 Pascal Terjan <pterjan@mandrake.org> 0.15-1mdk
- First Mandrake package

